/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-01 15:17:10.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.core.config;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.servlet.*;
import javax.servlet.FilterConfig;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

/**
 * @author: fengdesheng
 * @since: 2018/8/1
 */
public class TokenFilter implements Filter {
    private final static Logger log = LoggerFactory.getLogger(TokenFilter.class);

    @Override
    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain)
            throws IOException, ServletException {
        log.debug("doFilter");
        CustomRequestWrapper customRequest = new CustomRequestWrapper((HttpServletRequest) servletRequest);
        //customRequest.addHeader("token", "111");
        filterChain.doFilter(customRequest, servletResponse);
    }

    @Override
    public void init(FilterConfig filterConfig) throws ServletException {
        log.debug("init");
    }

    @Override
    public void destroy() {
        log.debug("destroy");
    }

}